Bug 736877 - [network] Cannot edit username nor fix bad wifi configuration in GUI
Summary: [network] Cannot edit username nor fix bad wifi configuration in GUI
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 23:03 UTC by Christopher Beland
Modified: 2012-08-07 15:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:48:23 UTC


Attachments (Terms of Use)

Description Christopher Beland 2011-09-08 23:03:53 UTC
1. Try to connect to a wireless network that requires authentication.
2. Specify the wrong username in the dialog box that sets up authentication protocol, etc.
3. Dialog box with title "Authentication required by wireless network" appears.

Problems:
4. I am unable to edit the username in this box.
5. If I click on the desktop icon to get a list of wifi networks, I expect to be able to right-click on the network in question to change its settings, but I just get the same unhelpful dialog box.
6. Clicking on Network Settings -> Wireless and choosing the Network Name, the "Options..." button is dimmed out.  There is no way to fix the username from this program.
7. As far as I can tell, there is no way to "forget" any or all wireless networks so I can reset settings.

As a result, I cannot use wifi at work.  8(

Comment 1 Christopher Beland 2011-09-08 23:10:17 UTC
This is with NetworkManager-0.8.9997-6.git20110721.fc15.x86_64.

Bug 697884 is problem #7.  It recommends running nm-connection-editor as a workaround.  This allowed me to fix my configuration.  (I found out that in addition to the wrong username, I was using the wrong authentication protocol.) If this GUI were accessible from the menu system, this would at least prevent people in my situation from being stranded until they Google a solution.

Comment 2 Jirka Klimes 2011-09-12 08:59:53 UTC
nm-connection-editor is accessible in GnomeShell via Applications->Other->Network Connections

See also bug 704119
and description on
http://live.gnome.org/ControlCenter/SystemSettings/Network

Comment 3 Fedora End Of Life 2012-08-07 15:48:25 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.